Bug 822995 - recent commit breaks functionality of simple fuse<->storage/posix graph
recent commit breaks functionality of simple fuse<->storage/posix graph
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
mainline
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Anand Avati
: Triaged
Depends On:
Blocks: 848323
  Show dependency treegraph
 
Reported: 2012-05-18 14:12 EDT by Brian Foster
Modified: 2015-09-01 19:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848323 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:24:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Foster 2012-05-18 14:12:07 EDT
Description of problem:

A recent commit (details below) has broken the functionality of a simple fuse<->storage/posix graph (i.e., mount fuse on top of a local directory). This is obviously not a typical gluster configuration, but I think it's something we expect to work (it's helpful for debugging/hacking, at least).

Version-Release number of selected component (if applicable): 


How reproducible: 100%


Steps to Reproduce:
1. Create the following volfile:

volume test
    type storage/posix
    option directory /export/test
end-volume

2. Run glusterfs:

glusterfs --volfile=./test.vol /mnt/ --no-daemon

3. Attempt to create a file:

touch /mnt/file
  
Actual results:

touch: cannot touch `/mnt/file': Input/output error

[2012-05-18 14:10:27.083195] E [posix.c:135:posix_lookup] 0-brick: null gfid for path /file
[2012-05-18 14:10:27.083326] E [posix.c:152:posix_lookup] 0-brick: lstat on (null) failed: Success
[2012-05-18 14:10:27.083377] W [fuse-resolve.c:91:fuse_resolve_entry_cbk] 0-fuse: 00000000-0000-0000-0000-000000000000/file: failed to resolve (Success)
[2012-05-18 14:10:27.084018] E [posix.c:135:posix_lookup] 0-brick: null gfid for path /file
[2012-05-18 14:10:27.084074] E [posix.c:152:posix_lookup] 0-brick: lstat on (null) failed: Success
[2012-05-18 14:10:27.084111] W [fuse-resolve.c:91:fuse_resolve_entry_cbk] 0-fuse: 00000000-0000-0000-0000-000000000000/file: failed to resolve (Success)


Expected results: Successfully create the file.


Additional info: I bisected this behavior down to the following commit:

27fb213 fuse-resolve: consider cases where an entry should be resolved even when parent belongs to active itable.
Comment 2 Amar Tumballi 2013-02-20 01:38:45 EST
I see that this is fixed now in upstream.

Note You need to log in before you can comment on or make changes to this bug.